(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "react"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var react_1 = require("react");
    var getThemeID = function (themeName) {
        switch (themeName) {
            case 'monokai':
                return '848d6580';
            case 'solarized-light':
                return 'd49b91b3';
            case 'chaos':
                return '848d6580';
            case 'cobalt':
                return 'd49b91b3';
            case 'idle-fingers':
                return 'd49b91b3';
            case 'obsidian':
                return '848d6580';
            case 'one-dark':
                return 'd49b91b3';
            case 'pastel-on-dark':
                return '848d6580';
            case 'solarized-dark':
                return 'b737b139';
            case 'terminal':
                return 'b737b139';
            case 'tomorrow-night':
                return 'b737b139';
            case 'twilight':
                return 'b737b139';
            default:
                return '848d6580';
        }
    };
    var Gist = function (props) {
        var id = props.src.substr(props.src.lastIndexOf('/') + 1).replace('.js', '');
        var url = 'https://gist.github.com/' + id + '.js';
        var frameRef = react_1.useRef(null);
        react_1.useEffect(function () {
            var _a;
            var html = "<html><head><base target='_blank' /><link rel='stylesheet' href='https://cdn.rawgit.com/lonekorean/gist-syntax-themes/" + getThemeID(props.theme) + "/stylesheets/" + props.theme + ".css' /></head><body onload=\"parent.document.getElementById('gist-" + id + "').style.height=document.body.scrollHeight + 'px'\"><script src='" + url + "'></script></body></html>";
            var iframe = frameRef.current;
            if (iframe) {
                var doc = iframe.contentDocument || ((_a = iframe.contentWindow) === null || _a === void 0 ? void 0 : _a.window);
                doc === null || doc === void 0 ? void 0 : doc.open();
                doc === null || doc === void 0 ? void 0 : doc.writeln(html);
                doc === null || doc === void 0 ? void 0 : doc.close();
            }
        }, [props.theme]);
        return <iframe style={props.style} ref={frameRef} id={"gist-" + id}/>;
    };
    exports.default = Gist;
});
